SCMAPCUT(1)

NAME
scmapcut - SeisComP Documentation

Create image files containing maps of specific regions.

DESCRIPTION

scmapcut is a commandline tool to create image files containing maps of specific regions and for selected events. When plotting events given by their eventID, the event parameters must be provided in a SeisComP event XML file. The XML file can be retrieved from the database using scxmldump.

EXAMPLES

1.  Draw a map for the event with event ID <eventID>. Plot a region of at least 3 degrees around the epicentre. The created image has 800x400 px.

    scmapcut -E <eventID> --ep <eventID>.xml -m 3 -d 800x400 -o <eventID>.png
    [image] Image example..UNINDENT

2.  Draw a map for a generic event with magnitude 4. The size of the event shown on the map scales with magnitude. Plot a region of at least 3 degrees around the epicentre. The created image has 800x400 px.

    scmapcut --lat 44 --lon 12 --depth 10 --mag 4 -m 0.5 -d 800x400 -o generic.png
    [image] Generic example..UNINDENT

MODULE CONFIGURATION
etc/defaults/global.cfg
etc/defaults/scmapcut.cfg
etc/global.cfg
etc/scmapcut.cfg
~/.seiscomp/global.cfg
~/.seiscomp/scmapcut.cfg

scmapcut inherits global options.

COMMAND-LINE OPTIONS

scmapcut [options]

  Generic

-h, --help
    Show help message.

-V, --version
    Show version information.

--config-file arg
    Use alternative configuration file. When this option is used the loading of all stages is disabled. Only the given configuration file is parsed and used. To use another name for the configuration create a symbolic link of the application or copy it. Example: scautopick -> scautopick2.

--plugins arg
    Load given plugins.

-D, --daemon
    Run as daemon. This means the application will fork itself and doesn't need to be started with &.

--auto-shutdown arg
    Enable/disable self-shutdown because a master module shutdown. This only works when messaging is enabled and the master module sends a shutdown message (enabled with --start-stop-msg for the master module).

--shutdown-master-module arg
    Set the name of the master-module used for auto-shutdown. This is the application name of the module actually started. If symlinks are used, then it is the name of the symlinked application.

--shutdown-master-username arg
    Set the name of the master-username of the messaging used for auto-shutdown. If "shutdown-master-module" is given as well, this parameter is ignored.

  Verbosity

--verbosity arg
    Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info, 4:debug.

-v, --v
    Increase verbosity level (may be repeated, eg. -vv).

-q, --quiet
    Quiet mode: no logging output.

--component arg
    Limit the logging to a certain component. This option can be given more than once.

-s, --syslog
    Use syslog logging backend. The output usually goes to /var/lib/messages.

-l, --lockfile arg
    Path to lock file.

--console arg
    Send log output to stdout.

--debug
    Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

--log-file arg
    Use alternative log file.

  Cities

--city-xml arg
    Path to the cities.xml file. If undefined, the data is read from CONFIGDIR@/cities.xml or @DATADIR@/cities.xml.

  Options

-r, --region arg
    Cut region ([lat_dim]x[lon_dim]+lat0+lon0 or +lat0+lon+lat1+lon1).

-m, --margin arg
    Margin in degrees around origin (margin|margin_latxmargin_lon).

-d, --dimension arg
    Output image dimension (wxh).

-o, --output arg
    Output image, file name.

--lat arg
    Latitude of symbol.

--long arg
    Longitude of symbol.

--depth arg
    Depth of event.

--mag arg
    Magnitude of event.

--layers arg
    Draw polygonal layers.

--ep arg
    Name of XML file containing the event parameters to load.

-E, --event-id arg
    Event ID of the event to plot on map.

--html-area
    Print html/area section.

--without-arrivals
    Do not render arrivals (stations).

AUTHOR
gempa GmbH, GFZ Potsdam

COPYRIGHT
gempa GmbH, GFZ Potsdam